﻿using System;
using System.CodeDom;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using KiranCellStyleSelector.Annotations;
using Telerik.Windows.Controls;

namespace KiranCellStyleSelector
{
    public class MainViewModel : INotifyPropertyChanged
    {
        private DelegateCommand generatingColumnsCommand;

        public MainViewModel()
        {
        }

        public ObservableCollection<Club> Clubs => new ObservableCollection<Club>()
        {
            new Club {Name = "Club 1", StadiumCapacity = 35000},
            new Club {Name = "Club 1", StadiumCapacity = 55000},
        };

        public DelegateCommand GeneratingColumnsCommand => generatingColumnsCommand 
            ?? (generatingColumnsCommand = new DelegateCommand(OnGeneratingColumns));
        

        private void OnGeneratingColumns(object args)
        {
            var e = args as GridViewAutoGeneratingColumnEventArgs;

            if (e?.Column != null && e.Column.UniqueName == "StadiumCapacity")
            {
                e.Column.CellStyleSelector = Application.Current.Resources["MyStadiumCapacityStyleSelector"] as StadiumCapacityStyleSelector;
            }
        }

        #region INPC

        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
