﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace KiranCellStyleSelector
{
    public class StadiumCapacityStyleSelector : StyleSelector
    {
        public Style BigStadiumStyle { get; set; }
        public Style SmallStadiumStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is Club)
            {
                Club club = item as Club;

                if (club.StadiumCapacity > 50000)
                {
                    return BigStadiumStyle;
                }
                else
                {
                    return SmallStadiumStyle;
                }
            }
            return null;
        }
    }
}
